@charset "utf-8";
section .inner {
    padding: 10rem 0;
}

.sub_title {
    display: block;
    color: #32B5E5;
    font-size: 2rem;
    text-decoration: underline;
    margin-bottom: 2rem;
}

.main_title {
    font-family: 'title';
    font-size: 4rem;
    color: #275F98;
    line-height: 1.3;
    margin-bottom: 5rem;
}

.main_title span {
    color: #32B5E5;
}

.desc {
    font-size: 2rem;
    color: #111;
    line-height: 1.6;
}

.desc span {
    color: #275F98;
    font-weight: bold;
}

.solution_process {
    padding: 10rem 0;
    width: 85%;
    margin: 0 auto;
    overflow: visible;
}

.progress-container {
    position: sticky;
    top: 74px;
    left: 0;
    width: 100%;
    z-index: 100;
    background: #fff;
    padding: 2rem 0;
}

.progress-bg {
    width: 80%;
    max-width: 120rem;
    height: 1.5rem;
    background-color: #e9ecef;
    margin: 0 auto;
    border-radius: 5rem;
    overflow: hidden;
}

#progress-bar {
    width: 0%;
    height: 100%;
    background-color: #32B5E5;
    border-radius: 5rem;
    transition: width 0.3s ease-out;
}

.process_header,
.why_header {
    text-align: center;
    margin-bottom: 6rem;
}

.process_content {
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-top: 4rem;
}

.side_title {
    width: 15%;
}

.side_title p {
    font-family: 'title';
    font-size: 7rem;
    color: #3C3C3C;
    letter-spacing: 0.2rem;
    writing-mode: vertical-lr;
    position: sticky;
    top: 15rem;
}

/* step */
.step_list {
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 5rem;
}

.step_item {
    display: flex;
    gap: 3rem;
    padding: 4rem 0;
    border-bottom: 0.1rem solid #eceff3;
}

.step_item:last-child {
    border-bottom: none;
}

.step_num {
    font-family: 'title';
    font-size: 2.2rem;
    color: #32B5E5;
    font-weight: bold;
    white-space: nowrap;
    padding-top: 0.4rem;
}

.step_detail {
    flex: 1;
}

.step_detail h4 {
    font-family: 'title';
    font-size: 5rem;
    color: #275F98;
    margin-bottom: 4rem;
    margin-top: 0;
}

.step_desc {
    font-size: 2.4rem;
    color: #444;
    line-height: 1.6;
    margin-bottom: 4rem;
}

.step_desc span {
    font-family: 'title';
    color: #275F98;
    font-weight: bold;
}

.tag_box {
    display: flex;
    flex-wrap: wrap;
    gap: 1.2rem;
}

.tag_box span {
    font-size: 2rem;
    color: #111;
    background-color: #32B5E51A;
    padding: 1rem 2rem;
    box-shadow: 0 0.2rem 0.5rem rgba(0, 0, 0, 0.02);
    font-style: italic;
}

/* why */

.why_solution {
    background-color: #E5E8EB;
    padding: 10rem 0;
    overflow: hidden;
}

.why_diagram_container {
    position: relative;
    max-width: 120rem;
    margin: 0 auto;
    padding: 4rem 0;
}

.why_node {
    position: relative;
    text-align: center;
    z-index: 5;
}

.why_node .node_sub {
    font-size: 2rem;
    color: #3C3C3C;
    margin-bottom: 0.8rem;
}

.why_node .node_title {
    font-family: 'title';
    font-size: 2.6rem;
    color: #275F98;
    margin: 0;
    font-weight: bold;
    padding-bottom: 1rem;
}

.node_top {
    margin-bottom: 5rem;
}

.node_top .line_v {
    position: absolute;
    bottom: -5.5rem;
    left: 50%;
    transform: translateX(-50%);
    width: 0.2rem;
    height: 5rem;
    border-left: 0.2rem dashed #275F98;
}

.why_mid_row {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6rem;
    margin-bottom: 4rem;
}


.why_center_symbol {
    width: 18rem;
    height: 18rem;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 10;
}

.why_center_symbol img {
    width: 100%;
    height: auto;
    object-fit: contain;
}

.node_left {
    text-align: right;
    padding-right: 1rem;
}

.node_left .line_h {
    position: absolute;
    right: -6rem;
    top: 20%;
    width: 5.5rem;
    height: 0.2rem;
    border-top: 0.2rem dashed #275F98;
}

.node_left,
.node_right {
    width: 30%;
    white-space: nowrap;
}

.node_right {
    text-align: left;
    padding-left: 1rem;
}

.node_right .line_h {
    position: absolute;
    left: -6rem;
    top: 20%;
    width: 5.5rem;
    height: 0.2rem;
    border-top: 0.2rem dashed #275F98;
}

.why_bot_row {
    display: flex;
    justify-content: center;
    gap: 15rem;
    margin-top: 5rem;
}

.why_bot_row .why_node {
    width: 28rem;
}

.node_bot_left .line_d {
    position: absolute;
    top: -7.5rem;
    right: -1rem;
    width: 6rem;
    height: 5rem;
    border-right: 0.2rem dashed #275F98;
    transform: rotate(30deg);
}

.node_bot_right .line_d {
    position: absolute;
    top: -7.5rem;
    left: -1rem;
    width: 6rem;
    height: 5rem;
    border-left: 0.2rem dashed #275F98;
    transform: rotate(-30deg);
}

@media (max-width: 976px) {
    .why_mid_row {
        justify-content: space-between;
        gap: 0;
    }

    .node_left .line_h {
        right: -12rem;
    }

    .node_right .line_h {
        left: -12rem;
    }
}

@media (max-width: 830px) {

    .why_mid_row,
    .why_bot_row {
        flex-wrap: wrap;
    }

    .why_node,
    .why_mid_row .why_node,
    .why_bot_row .why_node {
        width: 100%;
        text-align: center;
        background: #fff;
        padding: 2.5rem;
        border-radius: 1.6rem;
        box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.04);
        box-sizing: border-box;
        padding-top: 3rem;
    }

    .node_left .line_h,
    .node_right .line_h,
    .node_top .line_v,
    .node_bot_left .line_d,
    .node_bot_right .line_d {
        display: none;
    }

    .why_mid_row .why_center_symbol {
        display: none;
    }

    .node_left {
        margin-bottom: 5rem;
    }

    .why_bot_row {
        gap: 5rem;
    }
}

@media (max-width: 640px) {
    .side_title {
        display: none;
    }

    .step_list {
        width: 100%;
    }
}

@media screen and (max-width : 375px) {
    .step_item {
        flex-direction: column;
    }

    .progress-bg {
        width: 100%;
    }

    .step_desc {
        word-break: keep-all;
    }
}